Product comparison · 2 network switches

D-Link DGS-3620-52P-SI L3 Power over Ethernet (PoE) 1U Black vs Lindy 25026 network switch Managed L2 1U

Add a product
  • 21specifications compared
  • 10differ
  • 11identical
  • 35known for one product only

Key differences

  • Switch layer
    • DGS-3620-52P-SI L3 Power over Ethernet (PoE) 1U Black:L3
    • 25026 network switch Managed L2 1U:L2
  • Basic switching RJ-45 Ethernet ports quantity
    • DGS-3620-52P-SI L3 Power over Ethernet (PoE) 1U Black:48
    • 25026 network switch Managed L2 1U:24
  • 10G support
    • DGS-3620-52P-SI L3 Power over Ethernet (PoE) 1U Black:Yes
    • 25026 network switch Managed L2 1U:No
  • MAC address table
    • DGS-3620-52P-SI L3 Power over Ethernet (PoE) 1U Black:32000 entries
    • 25026 network switch Managed L2 1U:8000 entries
  • Packet buffer memory
    • DGS-3620-52P-SI L3 Power over Ethernet (PoE) 1U Black:2 MB
    • 25026 network switch Managed L2 1U:0.5 MB
  • LED indicators
    • DGS-3620-52P-SI L3 Power over Ethernet (PoE) 1U Black:Yes
    • 25026 network switch Managed L2 1U:Link, Power, Status
  • Power consumption (typical)
    • DGS-3620-52P-SI L3 Power over Ethernet (PoE) 1U Black:370 W
    • 25026 network switch Managed L2 1U:30 W
  • Power over Ethernet (PoE)
    • DGS-3620-52P-SI L3 Power over Ethernet (PoE) 1U Black:Yes
    • 25026 network switch Managed L2 1U:No

Side by side

Differences highlightedShow differences only (on)
Comparison of DGS-3620-52P-SI, 25026
56 specifications
Management features1 differ
Switch typeKnown for oneUnknown — not stated by the sourceManaged
Switch layerDiffersL3L2
MIB supportKnown for oneRFC1213 MIB-II - RFC1493 Bridge MIB - RFC1907 SNMPv2 MIB - RFC2571~2576 SNMP MIB - RFC1271, 2819 RMON MIB - RFC2021 RMON v2 MIB - RFC2665 Ether-like MIB - RFC2668 MAU MIB - RFC2674 802.1p MIB - RFC2233, 2863 IF MIB - RFC2618 RADIUS Authentication Client MIB - RFC1724 RIP v2 MIB - RFC1850 OSPF v2 MIBUnknown — not stated by the source
Ports & interfaces1 differ
Basic switching RJ-45 Ethernet ports quantityDiffers4824
Gigabit Ethernet (copper) ports quantityKnown for oneUnknown — not stated by the source24
Combo SFP ports quantityKnown for oneUnknown — not stated by the source4
Fiber ports quantityKnown for oneUnknown — not stated by the source2
SFP+ module slots quantityKnown for one4Unknown — not stated by the source
Console portKnown for oneRJ-45Unknown — not stated by the source
Network2 differ
Networking standardsDiffersIEEE 802.1D, IEEE 802.1s, IEEE 802.1wIEEE 802.1D, IEEE 802.1p, IEEE 802.1Q, IEEE 802.1s, IEEE 802.1v, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3u, IEEE 802.3x
10G supportDiffersYesNo
Copper ethernet cabling technologyKnown for oneUnknown — not stated by the source1000BASE-T, 100BASE-TX, 10BASE-T
Port mirroringKnown for oneUnknown — not stated by the sourceYes
IP routingKnown for oneUnknown — not stated by the sourceYes
Broadcast storm controlKnown for oneUnknown — not stated by the sourceYes
Number of VLANsKnown for oneUnknown — not stated by the source4000
Optical fiberidentical
Fiber ethernet cabling technologyKnown for oneUnknown — not stated by the source1000BASE‑SX, 100BASE-LX
Data transmission2 differ
MAC address tableDiffers32000 entries8000 entries
Store-and-forwardKnown for oneUnknown — not stated by the sourceYes
Maximum data transfer rateKnown for oneUnknown — not stated by the source1 Gbit/s
Jumbo frames supportKnown for oneUnknown — not stated by the sourceYes
Packet buffer memoryDiffers2 MB0.5 MB
Switching capacityKnown for one176 Gbit/sUnknown — not stated by the source
Securityidentical
IGMP snoopingKnown for oneUnknown — not stated by the sourceYes
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
DHCP featuresKnown for oneDHCP server, DHCP clientUnknown — not stated by the source
Design1 differ
StackableKnown for oneUnknown — not stated by the sourceYes
Housing materialKnown for oneUnknown — not stated by the sourceMetal
LED indicatorsDiffersYesLink, Power, Status
Number of fansKnown for oneUnknown — not stated by the source1 fan(s)
Rack mountingKnown for oneYesUnknown — not stated by the source
Product colourKnown for oneBlackUnknown — not stated by the source
Power1 differ
Number of power supply unitsKnown for oneUnknown — not stated by the source1
Power consumption (typical)Differs370 W30 W
Input voltageKnown for one100 - 240 VUnknown — not stated by the source
Power over Ethernet (PoE)1 differ
Power over Ethernet (PoE)DiffersYesNo
Other features1 differ
Management levelKnown for oneUnknown — not stated by the source2
Dimensions (WxDxH)Known for oneUnknown — not stated by the source445 x 210 x 44 mm
Networking featuresDiffersGigabit EthernetEthernet, Fast Ethernet, Gigabit Ethernet
Power requirementsKnown for oneUnknown — not stated by the source100-240V AC, 50-60Hz
Data transfer rateKnown for one130.95 Mbit/sUnknown — not stated by the source
Input frequencyKnown for one50 / 60 HzUnknown — not stated by the source
Operational conditionsidentical
Operating temperature (T-T)Known for oneUnknown — not stated by the source0 - 50 °C
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source5 - 90%
Protocolsidentical
Management protocolsKnown for oneSingle IP Management v1.6 - CLI - Telnet Server - Telnet Client - SNMP v1, v2c, v3 - SNMP Trap on MAC Notification - BootP/DHCP Client - System Log - Trap/Alarm/Log Severity Control - Flash File System - CPU Monitoring via Web, CLI, SNMP - Virtual Interface2 - Web-based GUI - Web GUI Traffic MonitorUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons